> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions

> Retrieves a paginated list of transactions. By default, responses are paginated with 20 items per page.



## OpenAPI

````yaml /api-reference/openapi.json get /transactions
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /transactions:
    get:
      tags:
        - Transactions
      summary: Get transactions
      description: >-
        Retrieves a paginated list of transactions. By default, responses are
        paginated with 20 items per page.
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - boolean
            default: 1
          description: 'Page number (default: 1). Set to `false` to disable pagination.'
        - name: perPage
          in: query
          schema:
            type: integer
            default: 20
          description: 'Number of items per page (default: 20).'
        - name: filters
          in: query
          schema:
            type: string
          description: URL-encoded JSON object with filter criteria.
      responses:
        '200':
          description: Paginated list of transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTransactionsResponse'
components:
  schemas:
    PaginatedTransactionsResponse:
      type: object
      description: Paginated response for transactions list
      properties:
        total:
          type:
            - string
            - integer
          description: Total number of transactions
        perPage:
          type: integer
          description: Number of items per page
        page:
          type: integer
          description: Current page number
        lastPage:
          type: integer
          description: Last available page number
        data:
          type: array
          description: Array of transactions for the current page
          items:
            $ref: '#/components/schemas/Transaction'
    Transaction:
      type: object
      properties:
        id:
          type: integer
        date:
          type: string
          format: date
        receipt_number:
          type: string
        type:
          type: string
        total:
          type: number
        currency_change_amount:
          type: number
        exchange:
          type: number
        source_id:
          type: integer
        currency_id:
          type: integer
        is_income:
          type: boolean
        client_id:
          type: integer
        company_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````